Re: Most recent Pim-SM implementation for linux?

kuznet@ms2.inr.ac.ru
Wed, 15 Dec 1999 18:50:23 +0300 (MSK)


Hello!

> pimsm-v1-ss990530.tar.gz, does not compile on my 2.2.x and 2.3.x
> systems (including out-of-the-box redhat6.x systems).

Exactly. It does not compile on any glibc based system,
if its /usr/include is not updated at least for 2.2.x kernels.
These secret patches are hidden in ip-routing/.glibc/level2.
That one for glibc-2.1.2 should fit to rh-6.x with some fuzz.

> Before I start mucking around with the code, does anyone know if the
> version I'm using is the latest?

I advise to try USC pimd (http://netweb.usc.edu/pim/).
It looks superb and was mainly up to date, but was not tested at all.

Alexey
-
To unsubscribe from this list: send the line "unsubscribe linux-net" in
the body of a message to majordomo@vger.rutgers.edu